diff -Naur boost_1_53_0/boost/asio/detail/gcc_arm_fenced_block.hpp boost_mine/boost/asio/detail/gcc_arm_fenced_block.hpp
--- boost_1_53_0/boost/asio/detail/gcc_arm_fenced_block.hpp	2012-01-15 05:46:25.000000000 -0800
+++ boost_mine/boost/asio/detail/gcc_arm_fenced_block.hpp	2013-02-26 09:56:49.155281385 -0800
@@ -66,8 +66,7 @@
     || defined(__ARM_ARCH_6ZK__) \
     || defined(__ARM_ARCH_6T2__)
 # if defined(__thumb__)
-    // This is just a placeholder and almost certainly not sufficient.
-    __asm__ __volatile__ ("" : : : "memory");
+#error gcc_arm_fenced_block not supported in Thumb -- recompile file as ARM
 # else // defined(__thumb__)
     int a = 0, b = 0;
     __asm__ __volatile__ ("swp %0, %1, [%2]"
diff -Naur boost_1_53_0/boost/config/user.hpp boost_mine/boost/config/user.hpp
--- boost_1_53_0/boost/config/user.hpp	2004-01-10 04:10:00.000000000 -0800
+++ boost_mine/boost/config/user.hpp	2013-02-26 09:56:49.155281385 -0800
@@ -120,5 +120,13 @@
 // that feature off.
 // #define BOOST_WHATEVER_NO_LIB
  
+// edits by agraham (2008.07.25)
+// epoll_create returns ENOSYS in NXP's kernel implementation
+#define BOOST_ASIO_DISABLE_EPOLL 1
 
-
+// edits by dmendenhall (2011.12.29)
+// On ARM, force spinlock to pthreads so that boost can be used safely
+// in binaries that mix ARM and Thumb.
+#if defined(__arm__)
+#define BOOST_SP_USE_PTHREADS 1
+#endif
diff -Naur boost_1_53_0/boost/date_time/strings_from_facet.hpp boost_mine/boost/date_time/strings_from_facet.hpp
--- boost_1_53_0/boost/date_time/strings_from_facet.hpp	2012-09-22 09:04:10.000000000 -0700
+++ boost_mine/boost/date_time/strings_from_facet.hpp	2013-02-26 09:56:49.680281251 -0800
@@ -50,7 +50,7 @@
     //grab the needed strings by using the locale to
     //output each month
     const charT* p_outfmt = outfmt.c_str(), *p_outfmt_end = p_outfmt + outfmt.size();
-    tm tm_value = {};
+    tm tm_value = tm();
     for (int m=0; m < 12; m++) {
       tm_value.tm_mon = m;
       stringstream_type ss;
@@ -103,7 +103,7 @@
     //grab the needed strings by using the locale to
     //output each month / weekday
     const charT* p_outfmt = outfmt.c_str(), *p_outfmt_end = p_outfmt + outfmt.size();
-    tm tm_value = {};
+    tm tm_value = tm();
     for (int i=0; i < 7; i++) {
       tm_value.tm_wday = i;
       stringstream_type ss;
diff -Naur boost_1_53_0/boost/interprocess/mapped_region.hpp boost_mine/boost/interprocess/mapped_region.hpp
--- boost_1_53_0/boost/interprocess/mapped_region.hpp	2012-12-28 15:12:08.000000000 -0800
+++ boost_mine/boost/interprocess/mapped_region.hpp	2013-02-26 09:56:49.681281230 -0800
@@ -48,6 +48,7 @@
 #      include <sys/shm.h>      //System V shared memory...
 #    endif
 #    include <boost/assert.hpp>
+#    include <assert.h> // in case of BOOST_DISABLE_ASSERTS
 #  else
 #    error Unknown platform
 #  endif
diff -Naur boost_1_53_0/boost/spirit/home/phoenix/object/construct.hpp boost_mine/boost/spirit/home/phoenix/object/construct.hpp
--- boost_1_53_0/boost/spirit/home/phoenix/object/construct.hpp	2008-06-22 08:05:38.000000000 -0700
+++ boost_mine/boost/spirit/home/phoenix/object/construct.hpp	2013-02-26 09:56:49.681281230 -0800
@@ -27,7 +27,7 @@
 
             template <typename RT, typename Env>
             static RT
-            eval(Env const& env)
+            eval(Env const&)
             {
                 return RT();
             }
diff -Naur boost_1_53_0/boost/spirit/home/qi/auxiliary/lazy.hpp boost_mine/boost/spirit/home/qi/auxiliary/lazy.hpp
--- boost_1_53_0/boost/spirit/home/qi/auxiliary/lazy.hpp	2011-05-26 15:26:09.000000000 -0700
+++ boost_mine/boost/spirit/home/qi/auxiliary/lazy.hpp	2013-02-26 09:56:49.682281235 -0800
@@ -60,7 +60,7 @@
         bool lazy_parse_impl(Parser const& p
           , Iterator& first, Iterator const& last
           , Context& context, Skipper const& skipper
-          , Attribute& attr, mpl::true_)
+          , Attribute&, mpl::true_)
         {
             // If DeducedAuto is false (semantic actions is present), the
             // component's attribute is unused.
diff -Naur boost_1_53_0/boost/type_traits/detail/has_binary_operator.hpp boost_mine/boost/type_traits/detail/has_binary_operator.hpp
--- boost_1_53_0/boost/type_traits/detail/has_binary_operator.hpp	2011-10-12 12:41:11.000000000 -0700
+++ boost_mine/boost/type_traits/detail/has_binary_operator.hpp	2013-02-26 09:57:55.916282206 -0800
@@ -1,3 +1,4 @@
+#ifndef Q_MOC_RUN
 //  (C) Copyright 2009-2011 Frederic Bron, Robert Stewart, Steven Watanabe & Roman Perepelitsa.
 //
 //  Use, modification and distribution are subject to the Boost Software License,
@@ -227,3 +228,4 @@
 #endif
 
 #include <boost/type_traits/detail/bool_trait_undef.hpp>
+#endif // Q_MOC_RUN
